Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Issues updating  (Read 2168 times)

0 Members and 1 Guest are viewing this topic.

N2GetherNow

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 20
Issues updating
« on: January 20, 2016, 02:08:58 pm »

Hello there,
i'm trying to update from 1.5.24 to .40 but get this error:

Quote
Fatal error: Undefined class name 'inspekt'

Followed step-by-step guide and didn't replace albums, anycontent and include/config.inc
Logged

gmc

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 721
    • GMC Design Photo Gallery
Re: Issues updating
« Reply #1 on: January 20, 2016, 03:42:58 pm »

Sounds like at least some files didn't upload properly... Try uploading again and see if that fixes it.
The inspekt class is define in /include/inspekt.php - but if that file had an issue its very possible others did too.
It also existed there in 1.5.24 - so guessing the new file was corrupted during upload.
Logged
Thanks!
Greg
My Coppermine Gallery
Need a web hosting account? See my gallery for an offer for CPG Forum users.
Send me money

N2GetherNow

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 20
Re: Re: Issues updating
« Reply #2 on: January 20, 2016, 04:26:49 pm »

Sounds like at least some files didn't upload properly... Try uploading again and see if that fixes it.
The inspekt class is define in /include/inspekt.php - but if that file had an issue its very possible others did too.
It also existed there in 1.5.24 - so guessing the new file was corrupted during upload.

I'm running web server on my personal PC, so basically there isn't any upload
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4456
    • Windsurf.me
Re: Issues updating
« Reply #3 on: January 20, 2016, 05:14:08 pm »

Corruption can occur for a number of reasons. Try re downloading the package and try again.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

N2GetherNow

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 20
Re: Issues updating
« Reply #4 on: January 21, 2016, 05:46:32 am »

nope:
Logged

N2GetherNow

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 20
Re: Issues updating
« Reply #5 on: January 21, 2016, 06:02:02 am »

nope:

I'm running 4.3 php. 1.26 patch seems to solve the problem
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15369
Re: Issues updating
« Reply #6 on: January 21, 2016, 09:40:13 am »

Marked thread as solved.
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4456
    • Windsurf.me
Re: Issues updating
« Reply #7 on: January 21, 2016, 10:46:17 am »

Just to add, PHP 4.3 really is considered unsecure. Better to upgrade PHP than to patch packages running on it.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

N2GetherNow

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 20
Re: Re: Issues updating
« Reply #8 on: January 21, 2016, 12:50:53 pm »

Just to add, PHP 4.3 really is considered unsecure. Better to upgrade PHP than to patch packages running on it.

Well it's all in one package with 1.3.7. Apache, 4.3. PHP and mysql 3...  I think i will try xaamp on oracle's VM to ensure that everything will work (because apache's conf is heavy modified over the years) and will migrate
Logged
Pages: [1]   Go Up
 

Page created in 0.016 seconds with 21 queries.